<?php

class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{
  protected function _initAutoload()
  {
    $autoloader = Zend_Loader_Autoloader::getInstance();
    $autoloader->registerNamespace('Valide_');
  }

  protected function _initConfig()
  {
    $config = new Zend_config_Ini(APPLICATION_PATH .'/configs/application.ini',
                                  APPLICATION_ENV);
    Zend_Registry::set('config', $config);
  }

  protected function _initSession()
  {
    $config = Zend_Registry::get('config');
    $session = new Zend_Session_Namespace($config->appnamespace);
    Zend_Registry::set('session', $session);
  }

  protected function _initDb()
  {
    $config = Zend_Registry::get('config');
    $db = Zend_Db::factory($config->database);
    Zend_Registry::set('db', $db);
  }

  protected function _initDoctype()
  {
    $this->bootstrap('view');
    $view = $this->getResource('view');
    $view->doctype('XHTML1_STRICT');
  }

  protected function _initScripts()
  {
    $view = $this->getResource('view');
    $view->headLink()->appendStylesheet('/css/global.css');
    $view->headLink()->appendStylesheet('/css/messages.css');

		Zend_Dojo::enableView ($view);

    $view->headTitle()->setSeparator(' | ');
    $view->headTitle()->headTitle('Val(a)IDE');
  }

  protected function _initPlugins()
  {
    $front = Zend_Controller_Front::getInstance();
    $front->registerPlugin(new Valide_Controller_Plugin_Session);
    Zend_Controller_Action_HelperBroker::addPrefix('Valide_Controller_Action_Helper');
    $view = $this->getResource('view');
    $view->addHelperPath(APPLICATION_PATH .'/../library/Valide/View/Helper', 'Valide_View_Helper');
  }

  protected function _initTranslation()
  {
    date_default_timezone_set('Europe/Paris');

    $locale = new Zend_Locale();
    $session = Zend_Registry::get('session');
    $config = Zend_Registry::get('config');

    $translate = new Zend_Translate($config->translation);
    $langLocale = isset($session->lang) ? $session->lang : $locale;
    $translate->setLocale($langLocale);
    Zend_Registry::set('Zend_Translate', $translate);

    //$translate->setCache($cacheInstance);
    //Zend_Validate_Abstract::setDefaultTranslator($translate);
    //Zend_Form::setDefaultTranslator($translate);
  }
}

