<?php

/* FrController.php
 *
 * Copyright (C) 2010 Nicolas Joseph
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Nicolas Joseph <nicolas.joseph@valaide.org>
 */

/*
 * Redirige les anciennes page issue de Druapl, ie:
 *   /fr/content/convention-de-codage -> /content/coding-standars
 */
class FrController extends Zend_Controller_Action
{
  public function indexAction()
  {
    $this->_redirect ('/', array ('code' => 301));
  }

  public function contentAction()
  {
    $actions = array (
      'accueil' => 'index',
      'fonctionnalités' => 'features',
      'copies-décran' => 'screenshots',
      'téléchargement' => 'download',
      'contribuer' => 'contribute',
      'convention-de-codage' => 'coding-standards',
      'donation-par-personne' => 'donation'
    );
    $params = explode ('/', $this->getRequest()->getRequestUri());
    $this->_redirect ('/content/'. $actions[$params[3]], array ('code' => 301));
  }

  public function timelineAction()
  {
    $this->_redirect ('/timeline', array ('code' => 301));
  }
}

