<?php

/* WikiController.php
 *
 * Copyright (C) 2010 Nicolas Joseph
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Nicolas Joseph <nicolas.joseph@valaide.org>
 */

class WikiController extends Zend_Controller_Action
{
  public function _getContent($page)
  {
    $translate = Zend_Registry::get('Zend_Translate');
    $lang = $translate->getLocale();

    $this->_helper->viewRenderer->setNoRender();

    $contents = file_get_contents('http://code.google.com/p/valide/wiki/'. $page .'?show=content&wl='. $lang);
    $contents = preg_replace('/<a name="(.*?)"\/>/', '<a name="${1}"></a>', $contents);

    $contents = str_replace ('<a href="/p/valide', '<a href="', $contents);
    if (preg_match ('/<title>(.*?)<\/title>/', $contents, $matches) == 1)
    {
      $this->view->title = $matches[1];
      $contents = str_replace('<span style="font-size:120%;font-weight:bold">'. $this->view->title ."</span>\n &nbsp;", '', $contents);
    }

    $pos = strpos($contents, '<body>') + 6;
    $contents = substr($contents, $pos);

    echo $contents;
  }

  public function indexAction()
  {
    $this->view->title = $this->view->translate('wiki');

    $this->view->pages = array('FAQ', 'Contribute', 'CodingStandards', 'HackersGuide');
  }

  public function hackersguideAction()
  {
    $this->_getContent('HackersGuide');
  }

  public function faqAction()
  {
    $this->view->langs = array('en', 'fr');
    $this->_getContent('FAQ');
  }

  public function contributeAction()
  {
    $this->view->langs = array('en', 'fr');
    $this->_getContent('Contribute');
  }

  public function codingstandardsAction()
  {
    $this->view->langs = array('en', 'fr');
    $this->_getContent('CodingStandards');
  }
}

