<?php

/**
 *@see http://framework.zend.com/issues/browse/ZF-2544
 */
class Valide_Controller_Action_Helper_FlashMessenger extends Zend_Controller_Action_Helper_FlashMessenger
{
    protected function _factory($message, $type)
    {
        $messg = new stdClass();
        $messg->message = $message;
        $messg->type = $type;
        return $messg;
    }

    protected function _addMessage($message, $type)
    {
        if (self::$_messageAdded === false) {
            self::$_session->setExpirationHops(1, null, true);
        }

        if (!is_array(self::$_session->{$this->_namespace})) {
            self::$_session->{$this->_namespace}[$type] = array();
        }

        self::$_session->{$this->_namespace}[$type][] = $this->_factory($message, $type);

        return $this;
    }

    /**
     * Add a flash message
     *
     * @param string $message A message
     * @param string $priority The message prioriry (error|warning|notice|success)
     * @return $this
     */
    public function direct($message, $priority = 'notice')
    {
        return $this->_addMessage($message, $priority);
    }

    /**
     * Get all types
     *
     * @return array
     */
    public function getTypes()
    {
        if (isset(self::$_session->{$this->_namespace})) {
            return array_keys(self::$_session->{$this->_namespace});
        } elseif (isset(self::$_messages[$this->_namespace])) {
            return array_keys(self::$_messages[$this->_namespace]);
        }
        return array();
    }

    /**
     * Get messages from a specific namespace
     *
     * @param string $type
     * @return array
     */
    public function getMessages($type = null)
    {
        if ($type === null) {
            return parent::getMessages();
        }
        if (isset(self::$_messages[$this->_namespace][$type])) {
            return self::$_messages[$this->_namespace][$type];
        }
        return array();
    }

    /**
     * Get messages that have been added to the current namespace within this
     * request
     *
     * @param string $type
     * @return array
     */
    public function getCurrentMessages($type = null)
    {
        if ($type === null) {
            return parent::getCurrentMessages();
        }
        if (isset(self::$_session->{$this->_namespace}[$type])) {
            return self::$_session->{$this->_namespace}[$type];
        }
        return array();
    }
}
